import { jsx as _jsx } from "react/jsx-runtime";
import { isFunction, pick, getControl, } from 'handie-react';
import { DateFieldStructuralWidget } from 'handie-react/dist/widgets/class';
export default class DateEditDateFieldWidget extends DateFieldStructuralWidget {
    componentWillMount() {
        super.componentWillMount();
        this.setDefaultFormat(this.getCommonBehavior('field.dateFormat'));
    }
    render() {
        const DatePicker = getControl('DatePicker');
        const { disableDate, showNow } = pick(this.config, [
            'disableDate',
            'showNow',
        ]);
        const options = { showNow };
        if (isFunction(disableDate)) {
            options.disableDate = (date) => disableDate(this.getDateValue(), date, this.$$view.getValue());
        }
        return DatePicker ? (_jsx(DatePicker, { value: this.getDateValue(), placeholder: this.getPlaceholder(), disabled: this.state.disabled, format: this.getDisplayFormat(), pickerOption: options, onChange: (_, date) => this.onDateChange(date) }, void 0)) : null;
    }
}
