import { jsx as _jsx } from "react/jsx-runtime";
import { isFunction, pick, getControl, } from 'handie-react';
import { DateFieldStructuralWidget } from 'handie-react/dist/widgets/class';
export default class DateTimeEditDateFieldWidget extends DateFieldStructuralWidget {
    componentWillMount() {
        super.componentWillMount();
        this.setDefaultFormat(this.getCommonBehavior('field.dateTimeFormat'));
    }
    render() {
        const DateTimePicker = getControl('DateTimePicker');
        const { disableDate, showNow } = pick(this.config, [
            'disableDate',
            'showNow',
        ]);
        const options = { showNow };
        if (isFunction(disableDate)) {
            options.disableDate = (date) => disableDate(this.props.value, date, this.$$view.getValue());
        }
        return DateTimePicker ? (_jsx(DateTimePicker, { value: this.props.value, placeholder: this.getPlaceholder(), disabled: this.state.disabled, format: this.getDisplayFormat(), pickerOption: options, onChange: (_, date) => this.onDateChange(date) }, void 0)) : null;
    }
}
