import { jsx as _jsx } from "react/jsx-runtime";
import { isNumber, getControl, } from 'handie-react';
import { TextFieldStructuralWidget } from 'handie-react/dist/widgets/class';
import defaultBehaviors from './behavior';
export default class TextareaEditTextFieldWidget extends TextFieldStructuralWidget {
    componentWillMount() {
        super.componentWillMount();
        this.setBehaviors('field.textarea', defaultBehaviors);
    }
    render() {
        let showWordLimit = this.config.showWordLimit;
        if (showWordLimit === undefined) {
            showWordLimit = this.getBehavior('showWordLimit');
        }
        const props = {
            value: this.props.value,
            placeholder: this.getPlaceholder(),
            rows: this.config.rows || this.getBehavior('rows'),
            resize: 'none',
            disabled: this.state.disabled,
        };
        if (this.showValidationRulesAsNative) {
            const { min, max } = this.props.field;
            if (isNumber(min)) {
                props.minLength = min;
            }
            if (isNumber(max)) {
                props.maxLength = max;
                props.showWordage = showWordLimit;
            }
        }
        const TextArea = getControl('TextArea');
        return TextArea ? (_jsx(TextArea, Object.assign({}, props, { onInput: (value) => this.onChange(value) }), void 0)) : null;
    }
}
