import { jsx as _jsx } from "react/jsx-runtime";
import { isNumber, getControl } from 'handie-react';
import { MultiEnumFilterStructuralWidget } from 'handie-react/dist/widgets/class';
export default class SelectEditMultiEnumFilterWidget extends MultiEnumFilterStructuralWidget {
    handleOptionChange(value) {
        this.onChange(value);
        if (this.searchImmediately) {
            this.$$view.reload();
        }
    }
    render() {
        const props = {
            value: this.props.value,
            placeholder: this.getPlaceholder(),
            multiple: true,
        };
        const { className, width } = this.config;
        if (className) {
            props.className = className;
        }
        if (width) {
            props.style = { width: isNumber(width) ? `${width}px` : width };
        }
        const Select = getControl('Select');
        const Option = getControl('Option');
        return Select ? (_jsx(Select, Object.assign({}, props, { onChange: this.handleOptionChange.bind(this) }, { children: this.state.options.map((opt) => Option ? (_jsx(Option, { label: opt.label, value: opt.value }, `Option${opt.value}OfSelectEditMultiEnumFilterWidget`)) : null) }), void 0)) : null;
    }
}
